<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<repository name="Geronimo Plugins, Console :: Tomcat">
    <resource id="1341322211476" presentationname="Apache Geronimo Bundles: dwr-3.0.M1" symbolicname="org.apache.geronimo.bundles.dwr" uri="mvn:org.apache.geronimo.bundles/dwr/3.0.M1_1" version="3.0.0.M1_1">
        <description>This bundle simply wraps dwr-3.0.M1.jar.</description>
        <size>953855</size>
        <documentation>http://geronimo.apache.org/maven/bundles/3.0.M1_1/dwr</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.bundles.dwr"/>
            <p n="version" t="version" v="3.0.0.M1_1"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.util"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.webwork"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.servlet"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.impl"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.spring"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.event"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.proxy.dwr"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.io"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.annotations"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.export"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.proxy"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.dwrp"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.hibernate"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.contrib"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.proxy.io"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.guice.spring"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.beehive"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.struts"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.json"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.extend"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.create"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.filter"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.proxy.browser"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.jms"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.faces"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.convert"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.proxy.scriptaculous"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.bayeux"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.guice"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.directwebremoting.fluent"/>
            <p n="version" t="version" v="3.0.0.M1"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.app"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.vector"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.xml"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.html"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.chart"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.net"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.util"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.lang"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.gui"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="jsx3.gui.matrix"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="uk.ltd.getahead.dwr"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="uk.ltd.getahead.dwr.compat"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=com.google.inject)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.google.inject</require>
        <require extend="false" filter="(&amp;(package=com.google.inject.binder)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.google.inject.binder</require>
        <require extend="false" filter="(&amp;(package=com.google.inject.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.google.inject.util</require>
        <require extend="false" filter="(&amp;(package=com.opensymphony.webwork.dispatcher)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.opensymphony.webwork.dispatcher</require>
        <require extend="false" filter="(&amp;(package=com.opensymphony.webwork.dispatcher.mapper)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.opensymphony.webwork.dispatcher.mapper</require>
        <require extend="false" filter="(&amp;(package=com.opensymphony.xwork)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.opensymphony.xwork</require>
        <require extend="false" filter="(&amp;(package=com.opensymphony.xwork.config)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.opensymphony.xwork.config</require>
        <require extend="false" filter="(&amp;(package=com.opensymphony.xwork.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.opensymphony.xwork.util</require>
        <require extend="false" filter="(&amp;(package=dojox.cometd)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: dojox.cometd</require>
        <require extend="false" filter="(&amp;(package=javax.faces)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: javax.faces</require>
        <require extend="false" filter="(&amp;(package=javax.faces.application)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: javax.faces.application</require>
        <require extend="false" filter="(&amp;(package=javax.faces.context)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: javax.faces.context</require>
        <require extend="false" filter="(&amp;(package=javax.faces.el)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: javax.faces.el</require>
        <require extend="false" filter="(&amp;(package=javax.faces.lifecycle)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: javax.faces.lifecycle</require>
        <require extend="false" filter="(&amp;(package=javax.imageio)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.imageio</require>
        <require extend="false" filter="(&amp;(package=javax.jms)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.jms</require>
        <require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming</require>
        <require extend="false" filter="(&amp;(package=javax.servlet)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet</require>
        <require extend="false" filter="(&amp;(package=javax.servlet.http)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet.http</require>
        <require extend="false" filter="(&amp;(package=javax.swing.event)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.swing.event</require>
        <require extend="false" filter="(&amp;(package=javax.xml.parsers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.parsers</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform.dom)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform.dom</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform.stream)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform.stream</require>
        <require extend="false" filter="(&amp;(package=jsx3)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3</require>
        <require extend="false" filter="(&amp;(package=jsx3.app)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.app</require>
        <require extend="false" filter="(&amp;(package=jsx3.chart)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.chart</require>
        <require extend="false" filter="(&amp;(package=jsx3.gui)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.gui</require>
        <require extend="false" filter="(&amp;(package=jsx3.gui.matrix)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.gui.matrix</require>
        <require extend="false" filter="(&amp;(package=jsx3.html)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.html</require>
        <require extend="false" filter="(&amp;(package=jsx3.lang)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.lang</require>
        <require extend="false" filter="(&amp;(package=jsx3.net)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.net</require>
        <require extend="false" filter="(&amp;(package=jsx3.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.util</require>
        <require extend="false" filter="(&amp;(package=jsx3.vector)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.vector</require>
        <require extend="false" filter="(&amp;(package=jsx3.xml)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: jsx3.xml</require>
        <require extend="false" filter="(&amp;(package=net.sf.hibernate)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: net.sf.hibernate</require>
        <require extend="false" filter="(&amp;(package=nu.xom)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: nu.xom</require>
        <require extend="false" filter="(&amp;(package=org.apache.bsf)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.bsf</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.disk)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload.disk</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.servlet)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload.servlet</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.logging)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.logging</require>
        <require extend="false" filter="(&amp;(package=org.apache.struts.action)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.struts.action</require>
        <require extend="false" filter="(&amp;(package=org.apache.struts.config)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.struts.config</require>
        <require extend="false" filter="(&amp;(package=org.apache.struts.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.struts.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.xmlbeans)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.xmlbeans</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.annotations)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.annotations</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.bayeux)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.bayeux</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.beehive)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.beehive</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.contrib)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.contrib</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.convert)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.convert</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.create)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.create</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.dwrp)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.dwrp</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.event)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.event</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.export)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.export</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.extend)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.extend</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.faces)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.faces</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.filter)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.filter</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.fluent)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.fluent</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.guice)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.guice</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.guice.spring)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.guice.spring</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.hibernate)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.hibernate</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.impl)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.impl</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.io)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.io</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.jms)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.jms</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.json)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.json</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.proxy)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.proxy</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.proxy.browser)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.proxy.browser</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.proxy.dwr)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.proxy.dwr</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.proxy.io)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.proxy.io</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.proxy.scriptaculous)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.proxy.scriptaculous</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.servlet)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.servlet</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.spring)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.spring</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.struts)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.struts</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.util)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.util</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.webwork)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.webwork</require>
        <require extend="false" filter="(&amp;(package=org.dom4j)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.dom4j</require>
        <require extend="false" filter="(&amp;(package=org.dom4j.io)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.dom4j.io</require>
        <require extend="false" filter="(&amp;(package=org.hibernate)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.hibernate</require>
        <require extend="false" filter="(&amp;(package=org.hibernate.classic)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.hibernate.classic</require>
        <require extend="false" filter="(&amp;(package=org.hibernate.engine)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.hibernate.engine</require>
        <require extend="false" filter="(&amp;(package=org.hibernate.proxy)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.hibernate.proxy</require>
        <require extend="false" filter="(&amp;(package=org.jdom)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.jdom</require>
        <require extend="false" filter="(&amp;(package=org.jdom.input)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.jdom.input</require>
        <require extend="false" filter="(&amp;(package=org.jdom.output)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.jdom.output</require>
        <require extend="false" filter="(&amp;(package=org.springframework.aop.support)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.aop.support</require>
        <require extend="false" filter="(&amp;(package=org.springframework.beans)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.beans</require>
        <require extend="false" filter="(&amp;(package=org.springframework.beans.factory)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.beans.factory</require>
        <require extend="false" filter="(&amp;(package=org.springframework.beans.factory.config)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.beans.factory.config</require>
        <require extend="false" filter="(&amp;(package=org.springframework.beans.factory.support)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.beans.factory.support</require>
        <require extend="false" filter="(&amp;(package=org.springframework.beans.factory.xml)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.beans.factory.xml</require>
        <require extend="false" filter="(&amp;(package=org.springframework.context)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.context</require>
        <require extend="false" filter="(&amp;(package=org.springframework.context.support)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.context.support</require>
        <require extend="false" filter="(&amp;(package=org.springframework.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.util</require>
        <require extend="false" filter="(&amp;(package=org.springframework.util.xml)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.util.xml</require>
        <require extend="false" filter="(&amp;(package=org.springframework.web.context)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.web.context</require>
        <require extend="false" filter="(&amp;(package=org.springframework.web.context.support)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.web.context.support</require>
        <require extend="false" filter="(&amp;(package=org.springframework.web.servlet)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.web.servlet</require>
        <require extend="false" filter="(&amp;(package=org.springframework.web.servlet.handler)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.web.servlet.handler</require>
        <require extend="false" filter="(&amp;(package=org.springframework.web.servlet.mvc)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.web.servlet.mvc</require>
        <require extend="false" filter="(&amp;(package=org.springframework.web.servlet.support)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.springframework.web.servlet.support</require>
        <require extend="false" filter="(&amp;(package=org.w3c.dom)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.w3c.dom</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax</require>
        <require extend="false" filter="(&amp;(package=uk.ltd.getahead.dwr)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: uk.ltd.getahead.dwr</require>
        <require extend="false" filter="(&amp;(package=uk.ltd.getahead.dwr.compat)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: uk.ltd.getahead.dwr.compat</require>
    </resource>
    <resource id="1341322211478" presentationname="org.apache.geronimo.framework.j2ee-security" symbolicname="org.apache.geronimo.framework.j2ee-security" uri="mvn:org.apache.geronimo.framework/j2ee-security/3.0.0/car" version="3.0.0">
        <size>17243</size>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.framework.j2ee-security"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.osgi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.osgi</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.security)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.security</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.serverinfo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.serverinfo</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.security.jaas)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.security.jaas</require>
        <require extend="false" filter="(&amp;(package=javax.security.auth.login)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.security.auth.login</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.jmxremoting)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.jmxremoting</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.jmx)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.jmx</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.security.keystore)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.security.keystore</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.management.geronimo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.management.geronimo</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel</require>
        <require extend="false" filter="(&amp;(package=javax.net.ssl)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.net.ssl</require>
    </resource>
    <resource id="1341322211478" presentationname="Geronimo Framework, Modules :: Bundle Recorder" symbolicname="org.apache.geronimo.framework.geronimo-bundle-recorder" uri="mvn:org.apache.geronimo.framework/geronimo-bundle-recorder/3.0.0" version="3.0.0">
        <description>Apache Geronimo, the JavaEE server project of the Apache Software Foundation.</description>
        <size>16078</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/framework/modules/geronimo-bundle-recorder</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.framework.geronimo-bundle-recorder"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.system.bundle"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.common)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.common</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean.annotation)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean.annotation</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.repository)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.repository</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.bundle)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.bundle</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.plugin)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.plugin</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.serverinfo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.serverinfo</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.osgi.service.startlevel)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.service.startlevel</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
    </resource>
    <resource id="1341322211479" presentationname="Apache Commons FileUpload Bundle" symbolicname="org.apache.commons.fileupload" uri="mvn:commons-fileupload/commons-fileupload/1.2.1" version="1.2.1">
        <size>57779</size>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.commons.fileupload"/>
            <p n="version" t="version" v="1.2.1"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.fileupload"/>
            <p n="version" t="version" v="1.2.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.fileupload.disk"/>
            <p n="version" t="version" v="1.2.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.fileupload.portlet"/>
            <p n="version" t="version" v="1.2.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.fileupload.servlet"/>
            <p n="version" t="version" v="1.2.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.fileupload.util"/>
            <p n="version" t="version" v="1.2.1"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload)(version&gt;=1.2.1))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.disk)(version&gt;=1.2.1))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload.disk</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.portlet)(version&gt;=1.2.1))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload.portlet</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.servlet)(version&gt;=1.2.1))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload.servlet</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.util)(version&gt;=1.2.1))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.io)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.io</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.io.output)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.io.output</require>
        <require extend="false" filter="(&amp;(package=javax.servlet)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet</require>
        <require extend="false" filter="(&amp;(package=javax.servlet.http)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet.http</require>
    </resource>
    <resource id="1341322211479" presentationname="Geronimo Framework, Modules :: Deploy JSR-88" symbolicname="org.apache.geronimo.framework.geronimo-deploy-jsr88" uri="mvn:org.apache.geronimo.framework/geronimo-deploy-jsr88/3.0.0" version="3.0.0">
        <description>Apache Geronimo, the JavaEE server project of the Apache Software Foundation.</description>
        <size>91856</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/framework/modules/geronimo-deploy-jsr88</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.framework.geronimo-deploy-jsr88"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.deployment.plugin"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.deployment.plugin.factories"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.deployment.plugin.local"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.deployment.plugin.remote"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.deployment.plugin.jmx"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.deployment.plugin.eba"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.model)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.model</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.shared)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.shared</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.shared.factories)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.shared.factories</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.spi)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.spi</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.spi.exceptions)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.spi.exceptions</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.spi.factories)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.spi.factories</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.spi.status)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.spi.status</require>
        <require extend="false" filter="(&amp;(package=javax.management)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.management</require>
        <require extend="false" filter="(&amp;(package=javax.management.remote)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.management.remote</require>
        <require extend="false" filter="(&amp;(package=javax.rmi.ssl)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.rmi.ssl</require>
        <require extend="false" filter="(&amp;(package=javax.security.auth.login)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.security.auth.login</require>
        <require extend="false" filter="(&amp;(package=javax.xml.parsers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.parsers</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.common)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.common</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.crypto.encoders)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.crypto.encoders</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.deployment.plugin)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.deployment.plugin</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.deployment.plugin.eba)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.deployment.plugin.eba</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.deployment.plugin.factories)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.deployment.plugin.factories</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.deployment.plugin.jmx)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.deployment.plugin.jmx</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.deployment.plugin.local)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.deployment.plugin.local</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.deployment.plugin.remote)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.deployment.plugin.remote</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.deployment.spi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.deployment.spi</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean.annotation)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean.annotation</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.config)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.config</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.management)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.management</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.proxy)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.proxy</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.repository)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.repository</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.bundle)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.bundle</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.jmx)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.jmx</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.plugin)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.plugin</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.plugin.model)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.plugin.model</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax.helpers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax.helpers</require>
    </resource>
    <resource id="1341322211480" presentationname="geronimo-jms_1.1_spec" symbolicname="org.apache.geronimo.specs.geronimo-jms_1.1_spec" uri="mvn:org.apache.geronimo.specs/geronimo-jms_1.1_spec/1.1.1" version="1.1.1">
        <description>Provides open-source implementations of Sun specifications.</description>
        <size>32359</size>
        <documentation>http://www.apache.org</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.specs.geronimo-jms_1.1_spec"/>
            <p n="version" t="version" v="1.1.1"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.jms"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.jms)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.jms</require>
        <require extend="false" filter="(&amp;(package=javax.transaction.xa)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.transaction.xa</require>
    </resource>
    <resource id="1341322211480" presentationname="Geronimo Framework, Modules :: Deploy Config" symbolicname="org.apache.geronimo.framework.geronimo-deploy-config" uri="mvn:org.apache.geronimo.framework/geronimo-deploy-config/3.0.0" version="3.0.0">
        <description>The deployment module contains basic infrastructure and base classes for         module builders / deployers. This module contains infrastructure and base         classes for JSR-88 DConfigBeans.</description>
        <size>8892</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/framework/modules/geronimo-deploy-config</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.framework.geronimo-deploy-config"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.deployment.spi"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.model)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.model</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.shared)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.shared</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.deploy.spi)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.deploy.spi</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.deployment.spi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.deployment.spi</require>
    </resource>
    <resource id="1341322211480" presentationname="Geronimo Framework, Modules :: Plugin" symbolicname="org.apache.geronimo.framework.geronimo-plugin" uri="mvn:org.apache.geronimo.framework/geronimo-plugin/3.0.0" version="3.0.0">
        <description>Apache Geronimo, the JavaEE server project of the Apache Software Foundation.</description>
        <size>89996</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/framework/modules/geronimo-plugin</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.framework.geronimo-plugin"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.system.plugin"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.security.auth.login)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.security.auth.login</require>
        <require extend="false" filter="(&amp;(package=javax.xml.parsers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.parsers</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.crypto)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.crypto</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.crypto.encoders)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.crypto.encoders</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean.annotation)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean.annotation</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.basic)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.basic</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.config)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.config</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.repository)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.repository</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.configuration)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.configuration</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.plugin)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.plugin</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.plugin.model)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.plugin.model</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.repository)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.repository</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.resolver)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.resolver</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.serverinfo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.serverinfo</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.threads)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.threads</require>
        <require extend="false" filter="(&amp;(package=org.apache.tools.ant)(version&gt;=1.7.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.tools.ant</require>
        <require extend="false" filter="(&amp;(package=org.apache.tools.ant.taskdefs)(version&gt;=1.7.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.tools.ant.taskdefs</require>
        <require extend="false" filter="(&amp;(package=org.apache.tools.ant.types)(version&gt;=1.7.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.tools.ant.types</require>
        <require extend="false" filter="(&amp;(package=org.apache.tools.ant.util)(version&gt;=1.7.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.tools.ant.util</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
        <require extend="false" filter="(&amp;(package=org.w3c.dom)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.w3c.dom</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax.helpers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax.helpers</require>
    </resource>
    <resource id="1341322211481" presentationname="org.apache.geronimo.plugins.pluto-support" symbolicname="org.apache.geronimo.plugins.pluto-support" uri="mvn:org.apache.geronimo.plugins/pluto-support/3.0.0/car" version="3.0.0">
        <size>20948</size>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.plugins.pluto-support"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.osgi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.osgi</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.pluto)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.pluto</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.driver.config)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.driver.config</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.driver.services.portal)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.driver.services.portal</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
    </resource>
    <resource id="1341322211481" presentationname="Geronimo Plugins, Console :: Core" symbolicname="org.apache.geronimo.plugins.console-core" uri="mvn:org.apache.geronimo.plugins/console-core/3.0.0" version="3.0.0">
        <description>Geronimo administration console supporting dynamic extensions</description>
        <size>93632</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/plugins/console/console-core</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.plugins.console-core"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.console.servlet"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.console"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.console.i18n"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.console.core.security"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.console.core.keystore"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.console.util"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.console.message"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.console.gbean"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.management)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.management</require>
        <require extend="false" filter="(&amp;(package=javax.management.remote)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.management.remote</require>
        <require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming</require>
        <require extend="false" filter="(&amp;(package=javax.portlet)(version&gt;=2.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.portlet</require>
        <require extend="false" filter="(&amp;(package=javax.security.auth)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.security.auth</require>
        <require extend="false" filter="(&amp;(package=javax.security.auth.callback)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.security.auth.callback</require>
        <require extend="false" filter="(&amp;(package=javax.security.auth.login)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.security.auth.login</require>
        <require extend="false" filter="(&amp;(package=javax.security.auth.spi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.security.auth.spi</require>
        <require extend="false" filter="(&amp;(package=javax.servlet)(version&gt;=2.6.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet</require>
        <require extend="false" filter="(&amp;(package=javax.servlet.http)(version&gt;=2.6.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet.http</require>
        <require extend="false" filter="(&amp;(package=javax.servlet.jsp)(version&gt;=2.2.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet.jsp</require>
        <require extend="false" filter="(&amp;(package=javax.servlet.jsp.tagext)(version&gt;=2.2.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet.jsp.tagext</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload)(version&gt;=1.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.disk)(version&gt;=1.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload.disk</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.portlet)(version&gt;=1.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.fileupload.portlet</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.common)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.common</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.console)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.console</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.console.core.keystore)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.console.core.keystore</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.console.core.security)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.console.core.security</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.console.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.console.gbean</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.console.i18n)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.console.i18n</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.console.message)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.console.message</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.console.servlet)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.console.servlet</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.console.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.console.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.crypto)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.crypto</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.crypto.asn1)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.crypto.asn1</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.crypto.asn1.x509)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.crypto.asn1.x509</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.crypto.encoders)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.crypto.encoders</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.crypto.jce)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.crypto.jce</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.config)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.config</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.lifecycle)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.lifecycle</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.management)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.management</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.proxy)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.proxy</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.repository)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.repository</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.logging)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.logging</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.management)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.management</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.management.geronimo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.management.geronimo</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.pluto)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.pluto</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.security.jaas)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.security.jaas</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.jmx)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.jmx</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.serverinfo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.serverinfo</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.container)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.container</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.container.driver)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.container.driver</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.container.impl)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.container.impl</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.driver.config)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.driver.config</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.driver.config.impl)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.driver.config.impl</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.driver.container)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.driver.container</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.driver.services.container)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.driver.services.container</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.driver.services.impl.resource)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.driver.services.impl.resource</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.driver.services.portal)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.driver.services.portal</require>
        <require extend="false" filter="(&amp;(package=org.apache.pluto.driver.url.impl)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.pluto.driver.url.impl</require>
        <require extend="false" filter="(&amp;(package=org.apache.xbean.osgi.bundle.util)(version&gt;=3.11.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.xbean.osgi.bundle.util</require>
        <require extend="false" filter="(&amp;(package=org.directwebremoting.annotations)(version&gt;=3.0.0))" multiple="false" name="package" optional="false">Import-Package: org.directwebremoting.annotations</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
    </resource>
    <resource id="1341322211482" presentationname="org.apache.geronimo.configs.tomcat7" symbolicname="org.apache.geronimo.configs.tomcat7" uri="mvn:org.apache.geronimo.configs/tomcat7/3.0.0/car" version="3.0.0">
        <size>60446</size>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.configs.tomcat7"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.osgi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.osgi</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.properties)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.properties</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.serverinfo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.serverinfo</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.tomcat)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.tomcat</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.management.geronimo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.management.geronimo</require>
        <require extend="false" filter="(&amp;(package=org.apache.catalina)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.catalina</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.configuration)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.configuration</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.jmx)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.jmx</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.webservices)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.webservices</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.security.jaas)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.security.jaas</require>
        <require extend="false" filter="(&amp;(package=org.apache.catalina.connector)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.catalina.connector</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.web.info)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.web.info</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.tomcat.cluster)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.tomcat.cluster</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.tomcat.connector)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.tomcat.connector</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.repository)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.repository</require>
    </resource>
    <resource id="1341322211482" presentationname="Geronimo Plugins, Console :: XSSXSRF Filter" symbolicname="org.apache.geronimo.plugins.console-filter" uri="mvn:org.apache.geronimo.plugins/console-filter/3.0.0" version="3.0.0">
        <description>Geronimo administration console supporting dynamic extensions</description>
        <size>27144</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/plugins/console/console-filter</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.plugins.console-filter"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.console.filter"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.servlet)(version&gt;=2.6.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet</require>
        <require extend="false" filter="(&amp;(package=javax.servlet.http)(version&gt;=2.6.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet.http</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.console.filter)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.console.filter</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
    </resource>
    <resource id="1341322211482" presentationname="Apache Geronimo Bundles: bval-jsr303-0.4" symbolicname="org.apache.geronimo.bundles.bval-jsr303" uri="mvn:org.apache.geronimo.bundles/bval-jsr303/0.4_1" version="0.4.0.1">
        <description>This bundle simply wraps bval-jsr303-0.4.jar.</description>
        <size>313364</size>
        <documentation>http://geronimo.apache.org/maven/bundles/0.4_1/bval-jsr303</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.bundles.bval-jsr303"/>
            <p n="version" t="version" v="0.4.0.1"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.constraints"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.util"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.jsr303.groups"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.jsr303.util"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.model"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.jsr303.resolver"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.jsr303.extensions"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.routines"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.jsr303.xml"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.bval.jsr303"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.persistence)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: javax.persistence</require>
        <require extend="false" filter="(&amp;(package=javax.validation)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.validation</require>
        <require extend="false" filter="(&amp;(package=javax.validation.bootstrap)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.validation.bootstrap</require>
        <require extend="false" filter="(&amp;(package=javax.validation.constraints)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.validation.constraints</require>
        <require extend="false" filter="(&amp;(package=javax.validation.groups)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.validation.groups</require>
        <require extend="false" filter="(&amp;(package=javax.validation.metadata)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.validation.metadata</require>
        <require extend="false" filter="(&amp;(package=javax.validation.spi)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.validation.spi</require>
        <require extend="false" filter="(&amp;(package=javax.xml.bind)(version&gt;=2.2.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.bind</require>
        <require extend="false" filter="(&amp;(package=javax.xml.bind.annotation)(version&gt;=2.2.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.bind.annotation</require>
        <require extend="false" filter="(&amp;(package=javax.xml.bind.annotation.adapters)(version&gt;=2.2.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.bind.annotation.adapters</require>
        <require extend="false" filter="(&amp;(package=javax.xml.namespace)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.namespace</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform.stream)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform.stream</require>
        <require extend="false" filter="(&amp;(package=javax.xml.validation)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.validation</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.constraints)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.constraints</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.jsr303)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.jsr303</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.jsr303.extensions)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.jsr303.extensions</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.jsr303.groups)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.jsr303.groups</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.jsr303.resolver)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.jsr303.resolver</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.jsr303.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.jsr303.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.jsr303.xml)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.jsr303.xml</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.model)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.model</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.routines)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.routines</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.xml)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.bval.xml</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.beanutils)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.beanutils</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.lang3)(version&gt;=3.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.lang3</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.lang3.reflect)(version&gt;=3.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.lang3.reflect</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.lang3.text.translate)(version&gt;=3.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.lang3.text.translate</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax</require>
    </resource>
    <resource id="1341322211483" presentationname="org.apache.geronimo.configs.jasper" symbolicname="org.apache.geronimo.configs.jasper" uri="mvn:org.apache.geronimo.configs/jasper/3.0.0/car" version="3.0.0">
        <size>18202</size>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.configs.jasper"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.osgi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.osgi</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.properties)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.properties</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.serverinfo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.serverinfo</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.jasper)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.jasper</require>
    </resource>
    <resource id="1341322211483" presentationname="Geronimo Plugins, BVal :: Core" symbolicname="org.apache.geronimo.modules.geronimo-bval" uri="mvn:org.apache.geronimo.modules/geronimo-bval/3.0.0" version="3.0.0">
        <description>Geronimo Bean Validation plugin</description>
        <size>17779</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/plugins/bval/geronimo-bval</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.modules.geronimo-bval"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.bval"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming</require>
        <require extend="false" filter="(&amp;(package=javax.validation)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.validation</require>
        <require extend="false" filter="(&amp;(package=javax.validation.bootstrap)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.validation.bootstrap</require>
        <require extend="false" filter="(&amp;(package=javax.xml.bind)(version&gt;=2.2.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.bind</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform.stream)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform.stream</require>
        <require extend="false" filter="(&amp;(package=javax.xml.validation)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.validation</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.jsr303)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.jsr303</require>
        <require extend="false" filter="(&amp;(package=org.apache.bval.jsr303.xml)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.bval.jsr303.xml</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.bval)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.bval</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean.annotation)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean.annotation</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.naming</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.naming.reference)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.naming.reference</require>
        <require extend="false" filter="(&amp;(package=org.apache.xbean.naming.reference)(version&gt;=3.11.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.xbean.naming.reference</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax</require>
    </resource>
    <resource id="1341322211484" presentationname="Commons Lang" symbolicname="org.apache.commons.lang3" uri="mvn:org.apache.commons/commons-lang3/3.1" version="3.1.0">
        <description>Commons Lang, a package of Java utility classes for the  classes that are in java.lang's hierarchy, or are considered to be so  standard as to justify existence in java.lang.</description>
        <size>315805</size>
        <documentation>http://commons.apache.org/lang/</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.commons.lang3"/>
            <p n="version" t="version" v="3.1.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.event"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.mutable"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.tuple"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.time"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.concurrent"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.text.translate"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.text"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.math"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.exception"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.reflect"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.lang3.builder"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
    </resource>
    <resource id="1341322211484" presentationname="TranQL :: Connector" symbolicname="org.tranql.connector" uri="mvn:org.tranql/tranql-connector/1.7" version="1.7.0">
        <description>Tranql connector framework generic adapter</description>
        <size>84972</size>
        <documentation>http://tranql.codehaus.org/tranql-connector</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.tranql.connector"/>
            <p n="version" t="version" v="1.7.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.tranql.connector.jdbc"/>
            <p n="version" t="version" v="1.7.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.tranql.connector"/>
            <p n="version" t="version" v="1.7.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming</require>
        <require extend="false" filter="(&amp;(package=javax.naming.spi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming.spi</require>
        <require extend="false" filter="(&amp;(package=javax.resource)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: javax.resource</require>
        <require extend="false" filter="(&amp;(package=javax.resource.spi)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: javax.resource.spi</require>
        <require extend="false" filter="(&amp;(package=javax.resource.spi.security)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: javax.resource.spi.security</require>
        <require extend="false" filter="(&amp;(package=javax.security.auth)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.security.auth</require>
        <require extend="false" filter="(&amp;(package=javax.sql)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.sql</require>
        <require extend="false" filter="(&amp;(package=javax.transaction.xa)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.transaction.xa</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.logging)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.logging</require>
        <require extend="false" filter="(&amp;(package=org.tranql.connector)(version&gt;=1.7.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.tranql.connector</require>
        <require extend="false" filter="(&amp;(package=org.tranql.connector.jdbc)(version&gt;=1.7.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.tranql.connector.jdbc</require>
    </resource>
</repository>
